@charset "utf-8";

.uix-unselectable {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.uix-modal {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 2000;
  display: none;
  overflow: hidden;
  -webkit-overflow-scrolling: touch;
  outline: 0;
  background-color: rgba(0, 0, 0, 0.54118);
  transition: 200ms ease opacity;
  will-change: opacity;
}

.uix-draggable {
  cursor: move;
}
.uix-resizable-handle {
  position: absolute;
  font-size: 0.1px;
  display: block;
  -ms-touch-action: none;
  touch-action: none;
  z-index: 1203;
}

.uix-resizable-n {
  cursor: n-resize;
  height: 10px;
  width: 100%;
  top: -5px;
  left: 0;
}
.uix-resizable-e {
  cursor: e-resize;
  width: 10px;
  right: -5px;
  top: 0;
  height: 100%;
}
.uix-resizable-s {
  cursor: s-resize;
  height: 10px;
  width: 100%;
  bottom: -5px;
  left: 0;
}
.uix-resizable-w {
  cursor: w-resize;
  width: 10px;
  left: -5px;
  top: 0;
  height: 100%;
}
.uix-resizable-se {
  cursor: se-resize;
  width: 12px;
  height: 12px;
  right: 1px;
  bottom: 1px;
}
.uix-resizable-sw {
  cursor: sw-resize;
  width: 9px;
  height: 9px;
  left: -5px;
  bottom: -5px;
}
.uix-resizable-nw {
  cursor: nw-resize;
  width: 9px;
  height: 9px;
  left: -5px;
  top: -5px;
}
.uix-resizable-ne {
  cursor: ne-resize;
  width: 9px;
  height: 9px;
  right: -5px;
  top: -5px;
}

.uix-dialog-footer {
  position: absolute;
  bottom: 0px;
  width: 100%;
  margin-top: 0px;
}

.uix-dialog-scrollable [data-role="body"] {
  overflow-x: hidden;
  overflow-y: scroll;
}

.uix-dialog {
  background-color: #fff;
  overflow: hidden;
  border: none;
  box-shadow: 0 0 5px 0px rgba(0,0,0,.3);
  box-sizing: border-box;
  position: fixed;
  -webkit-background-clip: padding-box;
  background-clip: padding-box;
  outline: 0;
  z-index: 1200;
}

.uix-dialog-header {
  padding: 10px;
  /*background-color: #5068eb;*/
  background-color: #3fb498;
  color: #fff;
}

.uix-dialog-title {
  margin: 0;
  display: inline-block;
  line-height: 20px;
  font-size: 15px;
  font-weight: 700;
  font-family: 'Nanum Gothic', '돋움', Dotum, sans-serif;
  padding-left: 6px;
}

.btn.btn-icon.uix-dialog-close,
.btn.btn-icon.uix-dialog-new-win,
.btn.btn-icon.uix-dialog-setting,
.btn.btn-icon.uix-dialog-custom,
.btn.btn-icon.uix-dialog-expand {
  float: right;
  margin-top: -2px;
  padding: 0;
}

.uix-dialog-body {
  padding: 10px;
}

.dialog-icon {
  display: inline-block;
  width: 24px;
  height: 24px;
  margin: 0 auto;
  vertical-align: middle;
  background-image: url(../images/dialog-icons.png);
  background-repeat: no-repeat;
}
.dialog-icon.white {
  background-position-y: -24px;
}
.dialog-icon.minimize {
  background-position-x: 0;
}
.dialog-icon.normal {
  background-position-x: -24px;
}
.dialog-icon.maximize {
  background-position-x: -48px;
}
.dialog-icon.close {
  background-position-x: -72px;
}
.dialog-icon.new-win {
  background-position-x: -96px;
}
.dialog-icon.setting {
  background-position-x: -120px;
}

.tool-dialog .uix-dialog-title {
  font-size: 12px;
  font-family: '돋움', Dotum, sans-serif;
  font-weight: normal;
  line-height: 14px;
  padding-left: 2px;
}

.tool-dialog .btn.btn-icon.uix-dialog-close,
.tool-dialog .btn.btn-icon.uix-dialog-new-win,
.tool-dialog .btn.btn-icon.uix-dialog-setting,
.tool-dialog .btn.btn-icon.uix-dialog-custom,
.tool-dialog .btn.btn-icon.uix-dialog-expand {
  float: right;
  margin-top: -6px;
  padding: 0;
}

.tool-dialog .uix-dialog-body {
  padding: 14px;
}
.tool-dialog.resizable .uix-dialog-body {
  height: calc(100% - 34px) !important;
}

.tool-dialog .buttons {
  margin-top: 12px;
}

.tool-dialog .buttons input {
  width: 80px;
  padding: 2px 8px;
}
